Centro de Ayuda de Dardo
Referencia

Tarjetas

Las tarjetas emitidas a cada cliente: acreditar compras, sumar sellos o puntos, canjear premios y consultar saldo.

POST/api/v2/cards/{id}/add-transaction-amount

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/add-transaction-amount" \  -H "Content-Type: application/json" \  -d '{    "amount": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/add-point

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/add-point" \  -H "Content-Type: application/json" \  -d '{    "points": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/add-purchase

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/add-purchase" \  -H "Content-Type: application/json" \  -d '{    "amount": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/add-reward

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/add-reward" \  -H "Content-Type: application/json" \  -d '{    "rewards": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/add-scores

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/add-scores" \  -H "Content-Type: application/json" \  -d '{    "scores": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/add-stamp

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/add-stamp" \  -H "Content-Type: application/json" \  -d '{    "stamps": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/add-visit

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/add-visit" \  -H "Content-Type: application/json" \  -d '{    "visits": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/receive-reward

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/receive-reward" \  -H "Content-Type: application/json" \  -d '{    "id": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/redeem-coupon

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/redeem-coupon" \  -H "Content-Type: application/json" \  -d '{}'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/set-expiration-date

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/set-expiration-date" \  -H "Content-Type: application/json" \  -d '{}'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/set-membership-tier

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/set-membership-tier" \  -H "Content-Type: application/json" \  -d '{    "tierId": 0,    "period": "day"  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/subtract-transaction-amount

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/subtract-transaction-amount" \  -H "Content-Type: application/json" \  -d '{    "amount": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/subtract-point

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/subtract-point" \  -H "Content-Type: application/json" \  -d '{    "points": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/subtract-purchase

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/subtract-purchase" \  -H "Content-Type: application/json" \  -d '{    "amount": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/subtract-reward

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/subtract-reward" \  -H "Content-Type: application/json" \  -d '{    "rewards": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/subtract-scores

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/subtract-scores" \  -H "Content-Type: application/json" \  -d '{    "scores": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/subtract-stamp

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/subtract-stamp" \  -H "Content-Type: application/json" \  -d '{    "stamps": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
POST/api/v2/cards/{id}/subtract-visit

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards/string/subtract-visit" \  -H "Content-Type: application/json" \  -d '{    "visits": 0  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
GET/api/v2/cards

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

templateId?integer

Filter by templateId

customerId?uuid

Filter by customerId

customerEmail?string

Filter by customer email

customerPhone?string

Filter by customer phone

page?integer

Page number

Range1 <= value
Default1
itemsPerPage?integer

Items per page

Range1 <= value <= 1000
Default30

Response Body

application/json

curl -X GET "https://example.com/api/v2/cards?templateId=123"
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "meta": {    "totalItems": 0,    "itemsPerPage": 0,    "currentPage": 0  },  "data": [    {      "id": "string",      "companyId": 0,      "templateId": 0,      "customerId": "string",      "type": "string",      "device": "string",      "status": "string",      "customFields": [        {          "id": 0,          "name": "string",          "type": "string",          "order": 0,          "value": "string",          "required": true,          "unique": true        }      ],      "customer": {        "id": "string",        "phone": "string",        "email": "string",        "gender": 0,        "dateOfBirth": "2019-08-24",        "surname": "string",        "firstName": "string",        "externalUserId": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "segments": [          {            "id": 0,            "type": 0,            "name": "string"          }        ]      },      "balance": {        "currentNumberOfUses": 0,        "numberStampsTotal": 0,        "numberRewardsUnused": 0,        "balance": 0.1,        "discountPercentage": 0.1,        "discountAmount": 0,        "bonusBalance": 0,        "stampsBeforeReward": 0      },      "customerSubscription": {        "id": 0,        "customerId": "string",        "cardId": 0,        "templateId": 0,        "period": "string",        "status": 0,        "membershipTierId": 0,        "providerId": 0,        "externalId": "string",        "balance": 0,        "createdAt": 0,        "updatedAt": 0,        "expiredAt": 0      },      "membershipTier": {        "id": 0,        "templateId": 0,        "name": "string",        "description": "string",        "dailyParameters": {          "price": 0.1,          "limit": 0,          "perFilialLimit": 0,          "active": true,          "recommended": true        },        "weeklyParameters": {          "price": 0.1,          "limit": 0,          "perFilialLimit": 0,          "active": true,          "recommended": true        },        "monthlyParameters": {          "price": 0.1,          "limit": 0,          "perFilialLimit": 0,          "active": true,          "recommended": true        },        "yearlyParameters": {          "price": 0.1,          "limit": 0,          "perFilialLimit": 0,          "active": true,          "recommended": true        },        "benefits": [          "string"        ]      },      "availableRewardTiers": [        {          "id": 0,          "templateId": 0,          "name": "string",          "type": 0,          "threshold": 0,          "value": 0.1,          "valueLimit": 0.1,          "periodValueLimit": 0.1,          "usageLimit": 0,          "limitPeriod": 0,          "calendarPeriod": true,          "imageUrl": "string",          "includedSegmentIds": [            0          ],          "excludedSegmentIds": [            0          ],          "includedUtmLinkIds": [            0          ],          "excludedUtmLinkIds": [            0          ]        }      ],      "installLink": "string",      "shareLink": "string",      "qrLink": "string",      "directInstallLink": {        "universal": "string",        "apple": "string",        "google": "string",        "pwa": "string"      },      "couponRedeemed": true,      "utmSource": "string",      "acquisitionParams": [        null      ],      "firstVisitDiscount": "string",      "countVisits": 0,      "totalRewardsRedeemed": 0,      "totalRewardsEarned": 0,      "totalStampsEarnedByReferral": 0,      "totalPointsEarnedByReferral": 0,      "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",      "lastRewardEarnedAt": "2019-08-24T14:15:22Z",      "lastStampEarnedAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
POST/api/v2/cards

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/cards" \  -H "Content-Type: application/json" \  -d '{    "templateId": 0,    "customerId": "string"  }'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
GET/api/v2/cards/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/api/v2/cards/string"
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
PATCH/api/v2/cards/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/v2/cards/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string",    "companyId": 0,    "templateId": 0,    "customerId": "string",    "type": "string",    "device": "string",    "status": "string",    "customFields": [      {        "id": 0,        "name": "string",        "type": "string",        "order": 0,        "value": "string",        "required": true,        "unique": true      }    ],    "customer": {      "id": "string",      "phone": "string",      "email": "string",      "gender": 0,      "dateOfBirth": "2019-08-24",      "surname": "string",      "firstName": "string",      "externalUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "segments": [        {          "id": 0,          "type": 0,          "name": "string"        }      ]    },    "balance": {      "currentNumberOfUses": 0,      "numberStampsTotal": 0,      "numberRewardsUnused": 0,      "balance": 0.1,      "discountPercentage": 0.1,      "discountAmount": 0,      "bonusBalance": 0,      "stampsBeforeReward": 0    },    "customerSubscription": {      "id": 0,      "customerId": "string",      "cardId": 0,      "templateId": 0,      "period": "string",      "status": 0,      "membershipTierId": 0,      "providerId": 0,      "externalId": "string",      "balance": 0,      "createdAt": 0,      "updatedAt": 0,      "expiredAt": 0    },    "membershipTier": {      "id": 0,      "templateId": 0,      "name": "string",      "description": "string",      "dailyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "weeklyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "monthlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "yearlyParameters": {        "price": 0.1,        "limit": 0,        "perFilialLimit": 0,        "active": true,        "recommended": true      },      "benefits": [        "string"      ]    },    "availableRewardTiers": [      {        "id": 0,        "templateId": 0,        "name": "string",        "type": 0,        "threshold": 0,        "value": 0.1,        "valueLimit": 0.1,        "periodValueLimit": 0.1,        "usageLimit": 0,        "limitPeriod": 0,        "calendarPeriod": true,        "imageUrl": "string",        "includedSegmentIds": [          0        ],        "excludedSegmentIds": [          0        ],        "includedUtmLinkIds": [          0        ],        "excludedUtmLinkIds": [          0        ]      }    ],    "installLink": "string",    "shareLink": "string",    "qrLink": "string",    "directInstallLink": {      "universal": "string",      "apple": "string",      "google": "string",      "pwa": "string"    },    "couponRedeemed": true,    "utmSource": "string",    "acquisitionParams": [      null    ],    "firstVisitDiscount": "string",    "countVisits": 0,    "totalRewardsRedeemed": 0,    "totalRewardsEarned": 0,    "totalStampsEarnedByReferral": 0,    "totalPointsEarnedByReferral": 0,    "lastRewardRedeemedAt": "2019-08-24T14:15:22Z",    "lastRewardEarnedAt": "2019-08-24T14:15:22Z",    "lastStampEarnedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
DELETE/api/v2/cards/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X DELETE "https://example.com/api/v2/cards/string"
{  "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",  "createdAt": "2019-08-24T14:15:22Z",  "code": 0,  "data": {    "id": "string"  }}